5.2.0-git
04/17/2014

[#11673] Horde5 webmail-install script fails when installing into seperate pear
Summary Horde5 webmail-install script fails when installing into seperate pear
Queue Horde Base
Queue Version 5.0.1
Type Bug
State Unconfirmed
Priority 1. Low
Owners
Requester daniel (at) daniel-ritter (dot) de
Created 11/08/2012 (525 days ago)
Due
Updated 11/09/2012 (524 days ago)
Assigned
Resolved
Milestone
Patch No

History
11/09/2012 03:10:38 PM horde (at) albasoft (dot) com Comment #4 Reply to this comment
Did you first install Horde_Role and run its config script for the
separate pear environment?
Yes I did.
Look for .pearrc file in your HOME directory.
Probably you will find config data as:
...s:14:"pear.horde.org";a:1:{s:9:"horde_dir";s:15:"/var/www/horde4";}...
change that to:
...s:14:"pear.horde.org";a:0:{}...
and now you could manage both installations as expected.

11/08/2012 04:32:11 PM daniel (at) daniel-ritter (dot) de Comment #3 Reply to this comment
Did you first install Horde_Role and run its config script for the 
separate pear environment?
Yes I did.
11/08/2012 04:30:10 PM ralf (dot) lang (at) ralf-lang (dot) de Comment #2 Reply to this comment

[Show Quoted Text - 26 lines]
Did you first install Horde_Role and run its config script for the 
separate pear environment?
11/08/2012 04:25:09 PM daniel (at) daniel-ritter (dot) de Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ Horde Base
Summary ⇒ Horde5 webmail-install script fails when installing into seperate pear
Type ⇒ Bug
Priority ⇒ 1. Low
Reply to this comment
Hi,

I installed Horde 5 into a seperate PEAR following the instructions in 
the INSTALL document.

There is already a Horde4 installation in production on the machine, 
so a seperate PEAR was needed.
The webmail-install script failed for me, because

require_once PEAR_Config::singleton()
     ->get('horde_dir', null, 'pear.horde.org') . '/lib/Application.php';

always resolved to the path of the existing horde installation. I was 
following the instructions in the INSTALL document, setting the 
environment variable for PHP and PEAR, before running the script, but 
it always resolved to my old Horde installation.

I fixed it quick and dirty by putting the right path into the script.

require_once "/var/www/horde5/lib/Application.php";

require_once PEAR_Config::singleton()
     ->get('horde_dir', null, 'pear.horde.org') . '/lib/Application.php';

always had /var/www/horde4 as result.